Page MenuHomePhabricator

Fatal in AffectedPagesFinder: Call to a member function getSiteLinkChanges() on a non-object (string)
Closed, ResolvedPublicPRODUCTION ERROR

Description

2017-12-06 20:14:23 [7b39cb1a0fb354ff4e7c8753] mw1301 azwiki 1.31.0-wmf.10 exception ERROR: [7b39cb1a0fb354ff4e7c8753] /rpc/RunJobs.php?wiki=azwiki&type=ChangeNotification&maxtime=60&maxmem=300M   BadMethodCallException from line 134 of /srv/mediawiki/php-1.31.0-wmf.10/extensions/Wikibase/client/includes/Changes/AffectedPagesFinder.php: Call to a member function getSiteLinkChanges() on a non-object (string) {"exception_id":"7b39cb1a0fb354ff4e7c8753","exception_url":"/rpc/RunJobs.php?wiki=azwiki&type=ChangeNotification&maxtime=60&maxmem=300M","caught_by":"mwe_handler"} 
[Exception BadMethodCallException] (/srv/mediawiki/php-1.31.0-wmf.10/extensions/Wikibase/client/includes/Changes/AffectedPagesFinder.php:134) Call to a member function getSiteLinkChanges() on a non-object (string)
  #0 /srv/mediawiki/php-1.31.0-wmf.10/extensions/Wikibase/client/includes/Changes/AffectedPagesFinder.php(205): Wikibase\Client\Changes\AffectedPagesFinder->getChangedAspects(Wikibase\ItemChange)
  #1 /srv/mediawiki/php-1.31.0-wmf.10/extensions/Wikibase/client/includes/Changes/AffectedPagesFinder.php(109): Wikibase\Client\Changes\AffectedPagesFinder->getAffectedPages(Wikibase\ItemChange)
  #2 /srv/mediawiki/php-1.31.0-wmf.10/extensions/Wikibase/client/includes/Changes/ChangeHandler.php(120): Wikibase\Client\Changes\AffectedPagesFinder->getAffectedUsagesByPage(Wikibase\ItemChange)
  #3 /srv/mediawiki/php-1.31.0-wmf.10/extensions/Wikibase/client/includes/Changes/ChangeHandler.php(103): Wikibase\Client\Changes\ChangeHandler->handleChange(Wikibase\ItemChange, array)
  #4 /srv/mediawiki/php-1.31.0-wmf.10/extensions/Wikibase/client/includes/ChangeNotificationJob.php(99): Wikibase\Client\Changes\ChangeHandler->handleChanges(array, array)
  #5 /srv/mediawiki/php-1.31.0-wmf.10/includes/jobqueue/JobRunner.php(294): Wikibase\Client\ChangeNotificationJob->run()
  #6 /srv/mediawiki/php-1.31.0-wmf.10/includes/jobqueue/JobRunner.php(193): JobRunner->executeJob(Wikibase\Client\ChangeNotificationJob, Wikimedia\Rdbms\LBFactoryMulti, BufferingStatsdDataFactory, integer)
  #7 /srv/mediawiki/rpc/RunJobs.php(47): JobRunner->run(array)
  #8 {main}

Event Timeline

hoo triaged this task as Unbreak Now! priority.Dec 6 2017, 8:52 PM
hoo created this task.
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes, Aklapper. · View Herald TranscriptDec 6 2017, 8:52 PM

Change 395837 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@wmf/1.31.0-wmf.11] Revert "Transmit compact diff instead of suppressed diff"

https://gerrit.wikimedia.org/r/395837

hoo added a comment.Dec 6 2017, 9:12 PM

This was due to f77b47c5e30c297a43e4ce354c1dfb4a29a638fa being deployed to early, it should have not been in wmf11.

I'm reverting it on the branch now which should fix this.

hoo added a comment.EditedDec 6 2017, 9:24 PM

This was due to f77b47c5e30c297a43e4ce354c1dfb4a29a638fa being deployed to early, it should have not been in wmf11.

I'm reverting it on the branch now which should fix this.

8f2289bf50cf49d8678130e308165017e34e526a actually has been applied to the branch as rEWBA55b7cc5b5a46, but (probably) in an incomplete state.
Looking.

Change 395837 abandoned by Hoo man:
Revert "Transmit compact diff instead of suppressed diff"

Reason:
Rather do https://gerrit.wikimedia.org/r/395850, per T182243#3818044.

https://gerrit.wikimedia.org/r/395837

Change 395850 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@wmf/1.31.0-wmf.10] Make EntityChange truly forward compatible with compact diffs

https://gerrit.wikimedia.org/r/395850

Change 395850 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.31.0-wmf.10] Make EntityChange truly forward compatible with compact diffs

https://gerrit.wikimedia.org/r/395850

Mentioned in SAL (#wikimedia-operations) [2017-12-06T21:51:46Z] <hoo@tin> Synchronized php-1.31.0-wmf.10/extensions/Wikibase/lib/includes/Changes/EntityChange.php: Make EntityChange truly forward compatible with compact diffs (T182243) (duration: 00m 48s)

hoo closed this task as Resolved.Dec 6 2017, 9:53 PM
hoo claimed this task.
hoo removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM